%global enable_tests 0
%global module_name os-tmpdir
%global gittag0 1.0.2
Name:                nodejs-%{module_name}
Version:             %{gittag0}
Release:             1
Summary:             Node.js os.tmpdir() ponyfill
License:             MIT
URL:                 https://github.com/sindresorhus/os-tmpdir
Source0:             https://github.com/sindresorhus/%{module_name}/archive/v%{gittag0}.tar.gz#/%{module_name}-%{gittag0}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(ava)
%endif
%description
%{summary}.

%prep
%autosetup -n %{module_name}-%{gittag0}
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
node test.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Mon Aug 17 2020 wutao <wutao61@huawei.com> - %{gittag0}-1
- Package init
